## octavia 8.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.9.6 # MIT
cotyledon>=1.3.0 # Apache-2.0
pecan>=1.3.2 # BSD
pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
SQLAlchemy-Utils>=0.30.11
futurist>=1.2.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
rfc3986>=1.2.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
WebOb>=1.8.2 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db[mysql]>=8.4.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.middleware>=4.0.1 # Apache-2.0
oslo.policy>=3.6.2 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
pyasn1!=0.2.3,>=0.1.8 # BSD
pyasn1-modules>=0.0.6 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
pyOpenSSL>=19.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
Jinja2>=2.10 # BSD License (3 clause)
taskflow>=4.4.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
tenacity>=5.0.4  # Apache-2.0
distro>=1.2.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
octavia-lib>=2.3.0 # Apache-2.0
netaddr>=0.7.19 # BSD
simplejson>=3.13.2 # MIT
setproctitle>=1.1.10 # BSD
python-dateutil>=2.7.0 # BSD

#for the amphora api
Flask!=0.11,>=0.10 # BSD
cryptography>=3.0 # BSD/Apache-2.0
pyroute2>=0.5.14;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
gunicorn>=19.9.0 # MIT
Werkzeug>=0.14.1 # BSD License

=== debian/changelog ===
octavia (8.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Removed quotes in octavia-agent-sysctl.conf that are causing the namespace
    to not be created in the amphora.
  * octavia-agent-netns-start: wait until /var/lib/octavia/plugged_interfaces
    appears.
  * New upstream point release:
    - Rebased use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.
  * Add Fix-template-issue-with-user_data_config_drive.patch.
  * Add Fix_loadbalancer_stuck_in_cascade_delete.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 10 Mar 2025 14:26:09 +0000

octavia (8.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:29:01 +0200

octavia (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:23:08 +0200

octavia (8.0.0~rc1-1) experimental; urgency=medium

  * Tune octavia-api-uwsgi.ini for performance.
  * Install udp-masquerade.sh as /usr/bin/octavia-agent-udp-masquerade, and
    patch octavia to use that.
  * New usptream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Reworked use-octavia-agent-udp-masquerade-not-lvs-masquerade.sh.patch as
    use-octavia-agent-lvs-masquerade-not-lvs-masquerade.sh.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 00:44:10 +0100

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 python3-bandit,
 python3-barbicanclient,
 python3-bashate,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-docutils,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-graphviz,
 python3-gunicorn,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-octavia-lib (>= 2.3.0),
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pydot,
 python3-pydotplus,
 python3-pyparsing,
 python3-pyroute2,
 python3-reno,
 python3-requests,
 python3-requests-mock,
 python3-rfc3986,
 python3-sadisplay,
 python3-setproctitle,
 python3-simplejson,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.nwdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-subunit,
 python3-taskflow,
 python3-tempest,
 python3-tenacity,
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/octavia
Vcs-Git: https://salsa.debian.org/openstack-team/services/octavia.git
Homepage: https://github.com/openstack/octavia

Package: octavia-driver-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Driver Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Driver Agent that needs to be installed when
 using the ovn-octavia-provider.

Package: octavia-agent
Architecture: all
Depends:
 acl,
 acpid,
 adduser,
 anacron,
 apparmor,
 at,
 cron,
 cryptsetup,
 curl,
 dbconfig-common,
 dbus,
 debconf,
 dirmngr,
 dkms,
 dmeventd,
 ethtool,
 gawk,
 gpg,
 gpg-agent,
 haproxy,
 haveged,
 ifenslave,
 ifupdown,
 iptables,
 iputils-ping,
 iputils-tracepath,
 ipvsadm,
 irqbalance,
 keepalived,
 net-tools,
 netbase,
 netcat-openbsd,
 octavia-common (= ${binary:Version}),
 pollinate,
 psmisc,
 python3-openstackclient,
 q-text-as-data,
 rsyslog,
 socat,
 uuid-runtime,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the Octavia Agent that needs to be installed in the
 Amphorae base image.

Package: octavia-api
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package contains the documentation for Octavia.

Package: octavia-health-manager
Architecture: all
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne out of the
 Neutron LBaaS project. Its conception influenced the transformation of the
 Neutron LBaaS project, as Neutron LBaaS moved from version 1 to version 2.
 Starting with the Liberty release of OpenStack, Octavia has become the
 reference implementation for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by managing a
 fleet of virtual machines, containers, or bare metal servers -collectively
 known as amphorae- which it spins up on demand. This on-demand, horizontal
 scaling feature differentiates Octavia from other load balancing solutions,
 thereby making Octavia truly suited "for the cloud".
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 alembic,
 python3-barbicanclient,
 python3-castellan,
 python3-cinderclient,
 python3-cotyledon,
 python3-cryptography,
 python3-dateutil,
 python3-distro,
 python3-flask,
 python3-futurist,
 python3-glanceclient,
 python3-gunicorn,
 python3-jinja2,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octavia-lib (>= 2.3.0),
 python3-openssl,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.2),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-pecan,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pyroute2,
 python3-requests,
 python3-rfc3986,
 python3-oslo.serialization,
 python3-setproctitle,
 python3-simplejson,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow,
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

OCTAVIA_CONF=$(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	find . -iname '*.pyc' -delete
	rm -f AUTHORS
	rm -f ChangeLog
	rm -f debian/octavia-agent.octavia-agent.init debian/octavia-api.init debian/octavia-health-manager.init debian/octavia-housekeeping.init debian/octavia-worker.init debian/octavia-driver-agent.init
	rm -f debian/octavia-agent.octavia-agent.service debian/octavia-api.service debian/octavia-health-manager.service debian/octavia-housekeeping.service debian/octavia-worker.service
	rm -rf build
	rm -rf octavia.sqlite
	rm -rf octavia.egg-info
	rm -rf .eggs
	rm -rf doc/source/contributor/devref/flow_diagrams
	rm -rf doc/source/contributor/modules
	rm -f doc/source/configuration/_static/octavia.policy.yaml.sample
	rm -f doc/source/contributor/devref/erd.svg
	rm -f debian/octavia-api.postinst debian/octavia-api.config debian/octavia-common.postinst debian/octavia-common.config

override_dh_auto_build:
	set -e ; for i in $(PYTHON3S) ; do \
		python3 setup.py build --force ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
	pkgos-merge-templates octavia-api octavia endpoint
	pkgos-merge-templates octavia-common octavia db rabbit ksat

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'octavia\.tests\.unit.*'
endif

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	mkdir -p $(CURDIR)/debian/octavia-agent/usr/bin
	cp elements/amphora-agent/static/usr/local/bin/lvs-masquerade.sh $(CURDIR)/debian/octavia-agent/usr/bin/octavia-agent-lvs-masquerade

	# Generate the octavia.conf config using installed python-octavia files.
	mkdir -p $(CURDIR)/debian/octavia-common/usr/share/octavia-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf \
		--wrap-width 140 \
		--namespace octavia \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token \
		--namespace cotyledon

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf oslo_policy policy_dirs /etc/octavia/policy.d

	# Readd missing options in keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(OCTAVIA_CONF) keystone_authtoken octavia

	# Fix default values
	pkgos-fix-config-default $(OCTAVIA_CONF) oslo_messaging topic octavia_prov
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth project_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth user_domain_name Default
	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth auth_type password
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker amphora_driver amphora_haproxy_rest_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker compute_driver compute_nova_driver
	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker network_driver allowed_address_pairs_driver

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/octavia-common/etc/octavia/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/octavia-common/etc/octavia/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace octavia

	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf keystone_notifications enable True

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	find debian/tmp/  -type d -name __pycache__ -exec rm -r {} \+

	dh_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/octavia-agent/var/lib/octavia/ping-wrapper.sh

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	dh_installinit -poctavia-agent --name=octavia-agent
	dh_installinit -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installinit -poctavia-agent --name=octavia-agent-netns

override_dh_installsystemd:
	dh_installsystemd -poctavia-api
	dh_installsystemd -poctavia-health-manager
	dh_installsystemd -poctavia-housekeeping
	dh_installsystemd -poctavia-worker
	dh_installsystemd -poctavia-agent --name=octavia-agent-netns
	dh_installsystemd -poctavia-agent --name=octavia-agent-certs-ramfs
	dh_installsystemd -poctavia-agent --name=octavia-agent
	dh_installsystemd -poctavia-driver-agent --name=octavia-driver-agent

## octavia 9.0.0

=== debian/changelog ===
octavia (1:9.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 11:45:46 -0400

octavia (1:8.0.0+git2021090912.69d975d6-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:32:21 -0400

octavia (1:8.0.0+git2021072117.7e264e1f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:38:36 -0400

octavia (1:8.0.0+git2021061405.e1adb335-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:43 +0000

## octavia 9.0.1

=== debian/changelog ===
octavia (1:9.0.1-0ubuntu1) impish; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Xena (LP: #1956991).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 10 Jan 2022 19:03:45 +0000

=== debian/control ===
Source: octavia
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 3.0),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-distro (>= 1.2.0),
 python3-doc8 (>= 0.6.0),
 python3-docutils (>= 0.11),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-graphviz (>= 0.4),
 python3-gunicorn (>= 19.9.0),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-netaddr (>= 0.7.19),
 python3-netifaces (>= 0.10.4),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octavia-lib (>= 2.3.0),
 python3-openssl (>= 19.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware (>= 4.0.1),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pecan (>= 1.3.2),
 python3-pyasn1 (>= 0.1.8),
 python3-pyasn1-modules (>= 0.0.6),
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.8.0),
 python3-pyparsing (>= 2.1.0),
 python3-pyroute2 (>= 0.5.14),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.2.0),
 python3-rfc3986 (>= 1.2.0),
 python3-sadisplay (>= 0.4.8),
 python3-setproctitle (>= 1.1.10),
 python3-simplejson (>= 3.13.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.nwdiag (>= 0.9.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.30.11),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 4.4.0),
 python3-tempest (>= 1:23.0.0),
 python3-tenacity (>= 5.0.4),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-werkzeug (>= 0.14.1),
 python3-wsme (>= 0.8.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/octavia
Homepage: https://github.com/openstack/octavia
Testsuite: autopkgtest-pkg-python

Package: amphora-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 python3-gunicorn (>= 19.9.0),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Amphora agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Amphora Agent.

Package: octavia-api
Architecture: all
Section: python
Depends:
 adduser,
 octavia-common (= ${binary:Version}),
 python3-openstackclient,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer as a Service - API frontend
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides the API frontend.

Package: octavia-common
Architecture: all
Depends:
 adduser,
 python3-octavia (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer as a Service - Common files
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains elements that are needed by all parts of Octavia.

Package: octavia-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - documentation
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package contains the documentation for Octavia.

Package: octavia-driver-agent
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Driver Agent
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Driver Agent.

Package: octavia-health-manager
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Health manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Health Manager.

Package: octavia-housekeeping
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Housekeeping manager
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia Housekeeping Manager.

Package: octavia-worker
Architecture: all
Depends:
 octavia-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenStack Load Balancer Service - Worker
 Openstack Load Balancer as a Service, codenamed Octavia was borne
 out of the Neutron LBaaS project. Its conception influenced
 the transformation of the Neutron LBaaS project, as Neutron LBaaS
 moved from version 1 to version 2. Starting with the Liberty
 release of OpenStack, Octavia has become the reference implementation
 for Neutron LBaaS version 2.
 .
 Octavia accomplishes its delivery of load balancing services by
 managing a fleet of virtual machines, containers, or bare metal
 servers—collectively known as amphorae— which it spins up on demand.
 This on-demand, horizontal scaling feature differentiates Octavia from
 other load balancing solutions, thereby making Octavia truly
 suited “for the cloud.”.
 .
 This package provides Octavia worker.

Package: python3-octavia
Section: python
Architecture: all
Depends:
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-cryptography (>= 3.0),
